:root {
    --red: #ed1c24;
    --green: #03ce1a;
    --yellow: #a54d00;
    font-size: 16px;
}

body {
    background-color: lightgrey;
}

section {
    text-align: center;
}

.logo {
    width: 150px;
    margin: 50px 0 0 0;
}

.container {
    width: 80%;
    min-height: 1100px;
    margin: 50px auto;
    background: white;
    box-shadow: 5px 5px 5px 0px rgb(100,100,100);
    padding: 20px;
    text-align: left;
}

.steps {
    padding: 10px;
    position: relative;
    margin: 5px 0;
    /*min-height: 200px;*/
}

.steps:not(:first-of-type) {
    display: none;
}

h3 {
    text-align: left;
    display: inline-block;
    margin: 0;
}

.info-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.status-icon {
    display: inline-block;
    width: 20px;
    height: 20px;
    background: var(--green);
    border-radius: 50%;
    text-align: center;
}

.status-icon {
    display: none;
}

.status-icon:hover {
    background: var(--yellow);
}

.status-icon i {
    margin-top: 2px;
    display: block;
    color: white;
    cursor: pointer;
}

.done:hover {
    display: none;
}

select {
    padding: 5px;
    width: 150px;
}

button {
    cursor: pointer;
}

button:disabled{
    cursor: not-allowed;
    opacity: 0.3;
}

button.submit {
    /*border-radius: 20px;
    border: 1px solid black;*/
    border: none;
    border-radius: 0;
    color: black;
    background: white;
    width: 150px;
    padding: 10px;
    box-sizing: content-box;
    font-size: 1.5rem;
}

button.submit:hover {
    background: var(--red);
    border-color: var(--red);
    color: white;
}

button.operation {
    border: 0;
    border-radius: 0;
    color: black;
    background: white;
    padding: 5px;
}

button.operation.add:hover {
    background: #6FBE02;
    color: white;
}

.button_container {
    text-align: right;
}

label {
    width: 100%;
    display: block;
}

.input-control {
    display: block;
    width: 100%;
    color: #424242;
    padding: 5px;
    border-radius: 5px;
    border: 1px solid #bcbcbc;
    margin: 5px 0;
}

.input-control.custom_fields_type, .input-control.custom_fields {
    width: 48%;
    display: inline-block;
}

.custom_fields_type {
    height: 36px;
    margin-left: 40px;
}

input[type='checkbox'] {
    display: inline-block;
    margin: 5px 0;
}

input[type='color'] {
    padding: 3px;
    height: 25px;
}

.input-control:focus {
    box-shadow: 0 0 10px lightblue;
}

.event-name:after {
    content: "hi";
}

.remove-event, .remove-field {
    position: relative;
    top: -35px;
    right: 10px;
    float: right;
    cursor: pointer;
}

.finish .button_container {
    text-align: center;
}

#enter_on_qr_label {
    display: none;
}

/* STAT TOGGLE */

.stat_mode_toggle {
    position: relative; width: 200px;
    -webkit-user-select:none; -moz-user-select:none; -ms-user-select: none;
}
#one_event_stat {
    display: none;
}
.stat_mode_toggle label {
    display: block; overflow: hidden; cursor: pointer;
    border: 2px solid #999999; border-radius: 20px;
}
.one_event_inner {
    display: block; width: 200%; margin-left: -100%;
    transition: margin 0.3s ease-in 0s;
}
.one_event_inner:before, .one_event_inner:after {
    display: block; float: left; width: 50%; height: 30px; padding: 0; line-height: 30px;
    font-size: 14px; color: white; font-family: Trebuchet, Arial, sans-serif; font-weight: bold;
    box-sizing: border-box;
}
.one_event_inner:before {
    content: "Egy esemény";
    padding-left: 10px;
    background-color: #007e80; color: #FFFFFF;
}
.one_event_inner:after {
    content: "Minden esemény";
    padding-right: 10px;
    background-color: #2360ff; color: #FFFFFF;
    text-align: right;
}
.all_event_switch {
    display: block; width: 46px; margin: 2px;
    background: #FFFFFF;
    position: absolute; top: 0; bottom: 0;
    right: 150px;
    border: 2px solid #999999; border-radius: 20px;
    transition: all 0.3s ease-in 0s;
}
#one_event_stat:checked + label .one_event_inner {
    margin-left: 0;
}
#one_event_stat:checked + label .all_event_switch {
    right: 0px;
}

.db-connection {
    font-size: 12px;
    font-style: italic;
    text-decoration: underline;
}

.db-connection.error {
    color: crimson;
}

.db-connection.success {
    color: #00CC00;
}
